PageRenderTime 71ms CodeModel.GetById 12ms app.highlight 50ms RepoModel.GetById 1ms app.codeStats 1ms

/crypto/heimdal/lib/ntlm/Makefile.in

https://bitbucket.org/freebsd/freebsd-head/
Autoconf | 1076 lines | 958 code | 93 blank | 25 comment | 169 complexity | a1a665d16570bd4067de2a95393d4ce2 MD5 | raw file
   1# Makefile.in generated by automake 1.11.1 from Makefile.am.
   2# @configure_input@
   3
   4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
   5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
   6# Inc.
   7# This Makefile.in is free software; the Free Software Foundation
   8# gives unlimited permission to copy and/or distribute it,
   9# with or without modifications, as long as this notice is preserved.
  10
  11# This program is distributed in the hope that it will be useful,
  12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  14# PARTICULAR PURPOSE.
  15
  16@SET_MAKE@
  17
  18# $Id$
  19
  20# $Id$
  21
  22# $Id$
  23
  24
  25VPATH = @srcdir@
  26pkgdatadir = $(datadir)/@PACKAGE@
  27pkgincludedir = $(includedir)/@PACKAGE@
  28pkglibdir = $(libdir)/@PACKAGE@
  29pkglibexecdir = $(libexecdir)/@PACKAGE@
  30am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  31install_sh_DATA = $(install_sh) -c -m 644
  32install_sh_PROGRAM = $(install_sh) -c
  33install_sh_SCRIPT = $(install_sh) -c
  34INSTALL_HEADER = $(INSTALL_DATA)
  35transform = $(program_transform_name)
  36NORMAL_INSTALL = :
  37PRE_INSTALL = :
  38POST_INSTALL = :
  39NORMAL_UNINSTALL = :
  40PRE_UNINSTALL = :
  41POST_UNINSTALL = :
  42build_triplet = @build@
  43host_triplet = @host@
  44DIST_COMMON = $(dist_include_HEADERS) $(srcdir)/Makefile.am \
  45	$(srcdir)/Makefile.in $(top_srcdir)/Makefile.am.common \
  46	$(top_srcdir)/cf/Makefile.am.common ChangeLog
  47@versionscript_TRUE@am__append_1 = $(LDFLAGS_VERSION_SCRIPT)$(srcdir)/version-script.map
  48TESTS = test_ntlm$(EXEEXT)
  49check_PROGRAMS = test_ntlm$(EXEEXT)
  50subdir = lib/ntlm
  51ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  52am__aclocal_m4_deps = $(top_srcdir)/cf/aix.m4 \
  53	$(top_srcdir)/cf/auth-modules.m4 \
  54	$(top_srcdir)/cf/broken-getaddrinfo.m4 \
  55	$(top_srcdir)/cf/broken-glob.m4 \
  56	$(top_srcdir)/cf/broken-realloc.m4 \
  57	$(top_srcdir)/cf/broken-snprintf.m4 $(top_srcdir)/cf/broken.m4 \
  58	$(top_srcdir)/cf/broken2.m4 $(top_srcdir)/cf/c-attribute.m4 \
  59	$(top_srcdir)/cf/capabilities.m4 \
  60	$(top_srcdir)/cf/check-compile-et.m4 \
  61	$(top_srcdir)/cf/check-getpwnam_r-posix.m4 \
  62	$(top_srcdir)/cf/check-man.m4 \
  63	$(top_srcdir)/cf/check-netinet-ip-and-tcp.m4 \
  64	$(top_srcdir)/cf/check-type-extra.m4 \
  65	$(top_srcdir)/cf/check-var.m4 $(top_srcdir)/cf/check-x.m4 \
  66	$(top_srcdir)/cf/check-xau.m4 $(top_srcdir)/cf/crypto.m4 \
  67	$(top_srcdir)/cf/db.m4 $(top_srcdir)/cf/destdirs.m4 \
  68	$(top_srcdir)/cf/dispatch.m4 $(top_srcdir)/cf/dlopen.m4 \
  69	$(top_srcdir)/cf/find-func-no-libs.m4 \
  70	$(top_srcdir)/cf/find-func-no-libs2.m4 \
  71	$(top_srcdir)/cf/find-func.m4 \
  72	$(top_srcdir)/cf/find-if-not-broken.m4 \
  73	$(top_srcdir)/cf/framework-security.m4 \
  74	$(top_srcdir)/cf/have-struct-field.m4 \
  75	$(top_srcdir)/cf/have-type.m4 $(top_srcdir)/cf/irix.m4 \
  76	$(top_srcdir)/cf/krb-bigendian.m4 \
  77	$(top_srcdir)/cf/krb-func-getlogin.m4 \
  78	$(top_srcdir)/cf/krb-ipv6.m4 $(top_srcdir)/cf/krb-prog-ln-s.m4 \
  79	$(top_srcdir)/cf/krb-readline.m4 \
  80	$(top_srcdir)/cf/krb-struct-spwd.m4 \
  81	$(top_srcdir)/cf/krb-struct-winsize.m4 \
  82	$(top_srcdir)/cf/largefile.m4 $(top_srcdir)/cf/libtool.m4 \
  83	$(top_srcdir)/cf/ltoptions.m4 $(top_srcdir)/cf/ltsugar.m4 \
  84	$(top_srcdir)/cf/ltversion.m4 $(top_srcdir)/cf/lt~obsolete.m4 \
  85	$(top_srcdir)/cf/mips-abi.m4 $(top_srcdir)/cf/misc.m4 \
  86	$(top_srcdir)/cf/need-proto.m4 $(top_srcdir)/cf/osfc2.m4 \
  87	$(top_srcdir)/cf/otp.m4 $(top_srcdir)/cf/pkg.m4 \
  88	$(top_srcdir)/cf/proto-compat.m4 $(top_srcdir)/cf/pthreads.m4 \
  89	$(top_srcdir)/cf/resolv.m4 $(top_srcdir)/cf/retsigtype.m4 \
  90	$(top_srcdir)/cf/roken-frag.m4 \
  91	$(top_srcdir)/cf/socket-wrapper.m4 $(top_srcdir)/cf/sunos.m4 \
  92	$(top_srcdir)/cf/telnet.m4 $(top_srcdir)/cf/test-package.m4 \
  93	$(top_srcdir)/cf/version-script.m4 $(top_srcdir)/cf/wflags.m4 \
  94	$(top_srcdir)/cf/win32.m4 $(top_srcdir)/cf/with-all.m4 \
  95	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
  96am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  97	$(ACLOCAL_M4)
  98mkinstalldirs = $(install_sh) -d
  99CONFIG_HEADER = $(top_builddir)/include/config.h
 100CONFIG_CLEAN_FILES =
 101CONFIG_CLEAN_VPATH_FILES =
 102am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
 103am__vpath_adj = case $$p in \
 104    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
 105    *) f=$$p;; \
 106  esac;
 107am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
 108am__install_max = 40
 109am__nobase_strip_setup = \
 110  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
 111am__nobase_strip = \
 112  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
 113am__nobase_list = $(am__nobase_strip_setup); \
 114  for p in $$list; do echo "$$p $$p"; done | \
 115  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
 116  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
 117    if (++n[$$2] == $(am__install_max)) \
 118      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
 119    END { for (dir in files) print dir, files[dir] }'
 120am__base_list = \
 121  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
 122  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
 123am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)" \
 124	"$(DESTDIR)$(includedir)"
 125LTLIBRARIES = $(lib_LTLIBRARIES)
 126am__DEPENDENCIES_1 =
 127libheimntlm_la_DEPENDENCIES = ../krb5/libkrb5.la $(am__DEPENDENCIES_1) \
 128	$(am__DEPENDENCIES_1)
 129dist_libheimntlm_la_OBJECTS = ntlm.lo
 130nodist_libheimntlm_la_OBJECTS = ntlm_err.lo
 131libheimntlm_la_OBJECTS = $(dist_libheimntlm_la_OBJECTS) \
 132	$(nodist_libheimntlm_la_OBJECTS)
 133libheimntlm_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
 134	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
 135	$(libheimntlm_la_LDFLAGS) $(LDFLAGS) -o $@
 136test_ntlm_SOURCES = test_ntlm.c
 137test_ntlm_OBJECTS = test_ntlm.$(OBJEXT)
 138test_ntlm_LDADD = $(LDADD)
 139test_ntlm_DEPENDENCIES = libheimntlm.la $(am__DEPENDENCIES_1)
 140depcomp = $(SHELL) $(top_srcdir)/depcomp
 141am__depfiles_maybe = depfiles
 142am__mv = mv -f
 143COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
 144	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 145LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 146	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 147	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 148CCLD = $(CC)
 149LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 150	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 151	$(LDFLAGS) -o $@
 152SOURCES = $(dist_libheimntlm_la_SOURCES) \
 153	$(nodist_libheimntlm_la_SOURCES) test_ntlm.c
 154DIST_SOURCES = $(dist_libheimntlm_la_SOURCES) test_ntlm.c
 155HEADERS = $(dist_include_HEADERS) $(nodist_include_HEADERS)
 156ETAGS = etags
 157CTAGS = ctags
 158am__tty_colors = \
 159red=; grn=; lgn=; blu=; std=
 160DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 161ACLOCAL = @ACLOCAL@
 162AIX_EXTRA_KAFS = @AIX_EXTRA_KAFS@
 163AMTAR = @AMTAR@
 164AR = @AR@
 165ASN1_COMPILE = @ASN1_COMPILE@
 166ASN1_COMPILE_DEP = @ASN1_COMPILE_DEP@
 167AUTOCONF = @AUTOCONF@
 168AUTOHEADER = @AUTOHEADER@
 169AUTOMAKE = @AUTOMAKE@
 170AWK = @AWK@
 171CANONICAL_HOST = @CANONICAL_HOST@
 172CAPNG_CFLAGS = @CAPNG_CFLAGS@
 173CAPNG_LIBS = @CAPNG_LIBS@
 174CATMAN = @CATMAN@
 175CATMANEXT = @CATMANEXT@
 176CC = @CC@
 177CCDEPMODE = @CCDEPMODE@
 178CFLAGS = @CFLAGS@
 179COMPILE_ET = @COMPILE_ET@
 180CPP = @CPP@
 181CPPFLAGS = @CPPFLAGS@
 182CYGPATH_W = @CYGPATH_W@
 183DBHEADER = @DBHEADER@
 184DBLIB = @DBLIB@
 185DEFS = @DEFS@
 186DEPDIR = @DEPDIR@
 187DIR_com_err = @DIR_com_err@
 188DIR_hcrypto = @DIR_hcrypto@
 189DIR_hdbdir = @DIR_hdbdir@
 190DIR_roken = @DIR_roken@
 191DLLTOOL = @DLLTOOL@
 192DSYMUTIL = @DSYMUTIL@
 193DUMPBIN = @DUMPBIN@
 194ECHO_C = @ECHO_C@
 195ECHO_N = @ECHO_N@
 196ECHO_T = @ECHO_T@
 197EGREP = @EGREP@
 198EXEEXT = @EXEEXT@
 199FGREP = @FGREP@
 200GREP = @GREP@
 201GROFF = @GROFF@
 202INCLUDES_roken = @INCLUDES_roken@
 203INCLUDE_hcrypto = @INCLUDE_hcrypto@
 204INCLUDE_hesiod = @INCLUDE_hesiod@
 205INCLUDE_krb4 = @INCLUDE_krb4@
 206INCLUDE_libedit = @INCLUDE_libedit@
 207INCLUDE_libintl = @INCLUDE_libintl@
 208INCLUDE_openldap = @INCLUDE_openldap@
 209INCLUDE_readline = @INCLUDE_readline@
 210INCLUDE_sqlite3 = @INCLUDE_sqlite3@
 211INSTALL = @INSTALL@
 212INSTALL_DATA = @INSTALL_DATA@
 213INSTALL_PROGRAM = @INSTALL_PROGRAM@
 214INSTALL_SCRIPT = @INSTALL_SCRIPT@
 215INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
 216LD = @LD@
 217LDFLAGS = @LDFLAGS@
 218LDFLAGS_VERSION_SCRIPT = @LDFLAGS_VERSION_SCRIPT@
 219LEX = @LEX@
 220LEXLIB = @LEXLIB@
 221LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
 222LIBADD_roken = @LIBADD_roken@
 223LIBOBJS = @LIBOBJS@
 224LIBS = @LIBS@
 225LIBTOOL = @LIBTOOL@
 226LIB_AUTH_SUBDIRS = @LIB_AUTH_SUBDIRS@
 227LIB_NDBM = @LIB_NDBM@
 228LIB_XauFileName = @LIB_XauFileName@
 229LIB_XauReadAuth = @LIB_XauReadAuth@
 230LIB_XauWriteAuth = @LIB_XauWriteAuth@
 231LIB_bswap16 = @LIB_bswap16@
 232LIB_bswap32 = @LIB_bswap32@
 233LIB_com_err = @LIB_com_err@
 234LIB_com_err_a = @LIB_com_err_a@
 235LIB_com_err_so = @LIB_com_err_so@
 236LIB_crypt = @LIB_crypt@
 237LIB_db_create = @LIB_db_create@
 238LIB_dbm_firstkey = @LIB_dbm_firstkey@
 239LIB_dbopen = @LIB_dbopen@
 240LIB_dispatch_async_f = @LIB_dispatch_async_f@
 241LIB_dlopen = @LIB_dlopen@
 242LIB_dn_expand = @LIB_dn_expand@
 243LIB_dns_search = @LIB_dns_search@
 244LIB_door_create = @LIB_door_create@
 245LIB_freeaddrinfo = @LIB_freeaddrinfo@
 246LIB_gai_strerror = @LIB_gai_strerror@
 247LIB_getaddrinfo = @LIB_getaddrinfo@
 248LIB_gethostbyname = @LIB_gethostbyname@
 249LIB_gethostbyname2 = @LIB_gethostbyname2@
 250LIB_getnameinfo = @LIB_getnameinfo@
 251LIB_getpwnam_r = @LIB_getpwnam_r@
 252LIB_getsockopt = @LIB_getsockopt@
 253LIB_hcrypto = @LIB_hcrypto@
 254LIB_hcrypto_a = @LIB_hcrypto_a@
 255LIB_hcrypto_appl = @LIB_hcrypto_appl@
 256LIB_hcrypto_so = @LIB_hcrypto_so@
 257LIB_hesiod = @LIB_hesiod@
 258LIB_hstrerror = @LIB_hstrerror@
 259LIB_kdb = @LIB_kdb@
 260LIB_krb4 = @LIB_krb4@
 261LIB_libedit = @LIB_libedit@
 262LIB_libintl = @LIB_libintl@
 263LIB_loadquery = @LIB_loadquery@
 264LIB_logout = @LIB_logout@
 265LIB_logwtmp = @LIB_logwtmp@
 266LIB_openldap = @LIB_openldap@
 267LIB_openpty = @LIB_openpty@
 268LIB_otp = @LIB_otp@
 269LIB_pidfile = @LIB_pidfile@
 270LIB_readline = @LIB_readline@
 271LIB_res_ndestroy = @LIB_res_ndestroy@
 272LIB_res_nsearch = @LIB_res_nsearch@
 273LIB_res_search = @LIB_res_search@
 274LIB_roken = @LIB_roken@
 275LIB_security = @LIB_security@
 276LIB_setsockopt = @LIB_setsockopt@
 277LIB_socket = @LIB_socket@
 278LIB_sqlite3 = @LIB_sqlite3@
 279LIB_syslog = @LIB_syslog@
 280LIB_tgetent = @LIB_tgetent@
 281LIPO = @LIPO@
 282LN_S = @LN_S@
 283LTLIBOBJS = @LTLIBOBJS@
 284MAINT = @MAINT@
 285MAKEINFO = @MAKEINFO@
 286MANIFEST_TOOL = @MANIFEST_TOOL@
 287MKDIR_P = @MKDIR_P@
 288NM = @NM@
 289NMEDIT = @NMEDIT@
 290NO_AFS = @NO_AFS@
 291NROFF = @NROFF@
 292OBJDUMP = @OBJDUMP@
 293OBJEXT = @OBJEXT@
 294OTOOL = @OTOOL@
 295OTOOL64 = @OTOOL64@
 296PACKAGE = @PACKAGE@
 297PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
 298PACKAGE_NAME = @PACKAGE_NAME@
 299PACKAGE_STRING = @PACKAGE_STRING@
 300PACKAGE_TARNAME = @PACKAGE_TARNAME@
 301PACKAGE_URL = @PACKAGE_URL@
 302PACKAGE_VERSION = @PACKAGE_VERSION@
 303PATH_SEPARATOR = @PATH_SEPARATOR@
 304PKG_CONFIG = @PKG_CONFIG@
 305PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
 306PTHREAD_LDADD = @PTHREAD_LDADD@
 307PTHREAD_LIBADD = @PTHREAD_LIBADD@
 308RANLIB = @RANLIB@
 309SED = @SED@
 310SET_MAKE = @SET_MAKE@
 311SHELL = @SHELL@
 312SLC = @SLC@
 313SLC_DEP = @SLC_DEP@
 314STRIP = @STRIP@
 315VERSION = @VERSION@
 316VERSIONING = @VERSIONING@
 317WFLAGS = @WFLAGS@
 318WFLAGS_NOIMPLICITINT = @WFLAGS_NOIMPLICITINT@
 319WFLAGS_NOUNUSED = @WFLAGS_NOUNUSED@
 320XMKMF = @XMKMF@
 321X_CFLAGS = @X_CFLAGS@
 322X_EXTRA_LIBS = @X_EXTRA_LIBS@
 323X_LIBS = @X_LIBS@
 324X_PRE_LIBS = @X_PRE_LIBS@
 325YACC = @YACC@
 326YFLAGS = @YFLAGS@
 327abs_builddir = @abs_builddir@
 328abs_srcdir = @abs_srcdir@
 329abs_top_builddir = @abs_top_builddir@
 330abs_top_srcdir = @abs_top_srcdir@
 331ac_ct_AR = @ac_ct_AR@
 332ac_ct_CC = @ac_ct_CC@
 333ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
 334am__include = @am__include@
 335am__leading_dot = @am__leading_dot@
 336am__quote = @am__quote@
 337am__tar = @am__tar@
 338am__untar = @am__untar@
 339bindir = @bindir@
 340build = @build@
 341build_alias = @build_alias@
 342build_cpu = @build_cpu@
 343build_os = @build_os@
 344build_vendor = @build_vendor@
 345builddir = @builddir@
 346datadir = @datadir@
 347datarootdir = @datarootdir@
 348docdir = @docdir@
 349dpagaix_cflags = @dpagaix_cflags@
 350dpagaix_ldadd = @dpagaix_ldadd@
 351dpagaix_ldflags = @dpagaix_ldflags@
 352dvidir = @dvidir@
 353exec_prefix = @exec_prefix@
 354host = @host@
 355host_alias = @host_alias@
 356host_cpu = @host_cpu@
 357host_os = @host_os@
 358host_vendor = @host_vendor@
 359htmldir = @htmldir@
 360includedir = @includedir@
 361infodir = @infodir@
 362install_sh = @install_sh@
 363libdir = @libdir@
 364libexecdir = @libexecdir@
 365localedir = @localedir@
 366localstatedir = @localstatedir@
 367mandir = @mandir@
 368mkdir_p = @mkdir_p@
 369oldincludedir = @oldincludedir@
 370pdfdir = @pdfdir@
 371prefix = @prefix@
 372program_transform_name = @program_transform_name@
 373psdir = @psdir@
 374sbindir = @sbindir@
 375sharedstatedir = @sharedstatedir@
 376srcdir = @srcdir@
 377subdirs = @subdirs@
 378sysconfdir = @sysconfdir@
 379target_alias = @target_alias@
 380top_build_prefix = @top_build_prefix@
 381top_builddir = @top_builddir@
 382top_srcdir = @top_srcdir@
 383SUFFIXES = .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8
 384DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include
 385AM_CPPFLAGS = $(INCLUDES_roken) $(INCLUDE_hcrypto)
 386@do_roken_rename_TRUE@ROKEN_RENAME = -DROKEN_RENAME
 387AM_CFLAGS = $(WFLAGS)
 388CP = cp
 389buildinclude = $(top_builddir)/include
 390LIB_el_init = @LIB_el_init@
 391LIB_getattr = @LIB_getattr@
 392LIB_getpwent_r = @LIB_getpwent_r@
 393LIB_odm_initialize = @LIB_odm_initialize@
 394LIB_setpcred = @LIB_setpcred@
 395HESIODLIB = @HESIODLIB@
 396HESIODINCLUDE = @HESIODINCLUDE@
 397libexec_heimdaldir = $(libexecdir)/heimdal
 398NROFF_MAN = groff -mandoc -Tascii
 399LIB_kafs = $(top_builddir)/lib/kafs/libkafs.la $(AIX_EXTRA_KAFS)
 400@KRB5_TRUE@LIB_krb5 = $(top_builddir)/lib/krb5/libkrb5.la \
 401@KRB5_TRUE@	$(top_builddir)/lib/asn1/libasn1.la
 402
 403@KRB5_TRUE@LIB_gssapi = $(top_builddir)/lib/gssapi/libgssapi.la
 404LIB_heimbase = $(top_builddir)/base/libheimbase.la
 405@DCE_TRUE@LIB_kdfs = $(top_builddir)/lib/kdfs/libkdfs.la
 406lib_LTLIBRARIES = libheimntlm.la
 407dist_include_HEADERS = heimntlm.h heimntlm-protos.h
 408nodist_include_HEADERS = ntlm_err.h
 409dist_libheimntlm_la_SOURCES = ntlm.c heimntlm.h
 410nodist_libheimntlm_la_SOURCES = ntlm_err.c
 411libheimntlm_la_LDFLAGS = -version-info 1:0:1 $(am__append_1)
 412libheimntlm_la_LIBADD = \
 413	../krb5/libkrb5.la \
 414	$(LIB_hcrypto) \
 415	$(LIBADD_roken)
 416
 417LDADD = libheimntlm.la $(LIB_roken)
 418EXTRA_DIST = \
 419	NTMakefile \
 420	libheimntlm-version.rc \
 421	libheimntlm-exports.def \
 422	version-script.map \
 423	ntlm_err.et
 424
 425CLEANFILES = \
 426	ntlm_err.c ntlm_err.h
 427
 428all: all-am
 429
 430.SUFFIXES:
 431.SUFFIXES: .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8 .c .lo .o .obj
 432$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__configure_deps)
 433	@for dep in $?; do \
 434	  case '$(am__configure_deps)' in \
 435	    *$$dep*) \
 436	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
 437	        && { if test -f $@; then exit 0; else break; fi; }; \
 438	      exit 1;; \
 439	  esac; \
 440	done; \
 441	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign lib/ntlm/Makefile'; \
 442	$(am__cd) $(top_srcdir) && \
 443	  $(AUTOMAKE) --foreign lib/ntlm/Makefile
 444.PRECIOUS: Makefile
 445Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
 446	@case '$?' in \
 447	  *config.status*) \
 448	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
 449	  *) \
 450	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
 451	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
 452	esac;
 453
 454$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
 455	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 456
 457$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
 458	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 459$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
 460	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 461$(am__aclocal_m4_deps):
 462install-libLTLIBRARIES: $(lib_LTLIBRARIES)
 463	@$(NORMAL_INSTALL)
 464	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
 465	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
 466	list2=; for p in $$list; do \
 467	  if test -f $$p; then \
 468	    list2="$$list2 $$p"; \
 469	  else :; fi; \
 470	done; \
 471	test -z "$$list2" || { \
 472	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
 473	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
 474	}
 475
 476uninstall-libLTLIBRARIES:
 477	@$(NORMAL_UNINSTALL)
 478	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
 479	for p in $$list; do \
 480	  $(am__strip_dir) \
 481	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
 482	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
 483	done
 484
 485clean-libLTLIBRARIES:
 486	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
 487	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
 488	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
 489	  test "$$dir" != "$$p" || dir=.; \
 490	  echo "rm -f \"$${dir}/so_locations\""; \
 491	  rm -f "$${dir}/so_locations"; \
 492	done
 493libheimntlm.la: $(libheimntlm_la_OBJECTS) $(libheimntlm_la_DEPENDENCIES) 
 494	$(libheimntlm_la_LINK) -rpath $(libdir) $(libheimntlm_la_OBJECTS) $(libheimntlm_la_LIBADD) $(LIBS)
 495
 496clean-checkPROGRAMS:
 497	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
 498	echo " rm -f" $$list; \
 499	rm -f $$list || exit $$?; \
 500	test -n "$(EXEEXT)" || exit 0; \
 501	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
 502	echo " rm -f" $$list; \
 503	rm -f $$list
 504test_ntlm$(EXEEXT): $(test_ntlm_OBJECTS) $(test_ntlm_DEPENDENCIES) 
 505	@rm -f test_ntlm$(EXEEXT)
 506	$(LINK) $(test_ntlm_OBJECTS) $(test_ntlm_LDADD) $(LIBS)
 507
 508mostlyclean-compile:
 509	-rm -f *.$(OBJEXT)
 510
 511distclean-compile:
 512	-rm -f *.tab.c
 513
 514@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ntlm.Plo@am__quote@
 515@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ntlm_err.Plo@am__quote@
 516@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_ntlm.Po@am__quote@
 517
 518.c.o:
 519@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
 520@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
 521@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 522@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 523@am__fastdepCC_FALSE@	$(COMPILE) -c $<
 524
 525.c.obj:
 526@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
 527@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
 528@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 529@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 530@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
 531
 532.c.lo:
 533@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
 534@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
 535@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 536@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 537@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
 538
 539mostlyclean-libtool:
 540	-rm -f *.lo
 541
 542clean-libtool:
 543	-rm -rf .libs _libs
 544install-dist_includeHEADERS: $(dist_include_HEADERS)
 545	@$(NORMAL_INSTALL)
 546	test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
 547	@list='$(dist_include_HEADERS)'; test -n "$(includedir)" || list=; \
 548	for p in $$list; do \
 549	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
 550	  echo "$$d$$p"; \
 551	done | $(am__base_list) | \
 552	while read files; do \
 553	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \
 554	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \
 555	done
 556
 557uninstall-dist_includeHEADERS:
 558	@$(NORMAL_UNINSTALL)
 559	@list='$(dist_include_HEADERS)'; test -n "$(includedir)" || list=; \
 560	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
 561	test -n "$$files" || exit 0; \
 562	echo " ( cd '$(DESTDIR)$(includedir)' && rm -f" $$files ")"; \
 563	cd "$(DESTDIR)$(includedir)" && rm -f $$files
 564install-nodist_includeHEADERS: $(nodist_include_HEADERS)
 565	@$(NORMAL_INSTALL)
 566	test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
 567	@list='$(nodist_include_HEADERS)'; test -n "$(includedir)" || list=; \
 568	for p in $$list; do \
 569	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
 570	  echo "$$d$$p"; \
 571	done | $(am__base_list) | \
 572	while read files; do \
 573	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \
 574	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \
 575	done
 576
 577uninstall-nodist_includeHEADERS:
 578	@$(NORMAL_UNINSTALL)
 579	@list='$(nodist_include_HEADERS)'; test -n "$(includedir)" || list=; \
 580	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
 581	test -n "$$files" || exit 0; \
 582	echo " ( cd '$(DESTDIR)$(includedir)' && rm -f" $$files ")"; \
 583	cd "$(DESTDIR)$(includedir)" && rm -f $$files
 584
 585ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
 586	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
 587	unique=`for i in $$list; do \
 588	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
 589	  done | \
 590	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
 591	      END { if (nonempty) { for (i in files) print i; }; }'`; \
 592	mkid -fID $$unique
 593tags: TAGS
 594
 595TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
 596		$(TAGS_FILES) $(LISP)
 597	set x; \
 598	here=`pwd`; \
 599	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
 600	unique=`for i in $$list; do \
 601	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
 602	  done | \
 603	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
 604	      END { if (nonempty) { for (i in files) print i; }; }'`; \
 605	shift; \
 606	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
 607	  test -n "$$unique" || unique=$$empty_fix; \
 608	  if test $$# -gt 0; then \
 609	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
 610	      "$$@" $$unique; \
 611	  else \
 612	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
 613	      $$unique; \
 614	  fi; \
 615	fi
 616ctags: CTAGS
 617CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
 618		$(TAGS_FILES) $(LISP)
 619	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
 620	unique=`for i in $$list; do \
 621	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
 622	  done | \
 623	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
 624	      END { if (nonempty) { for (i in files) print i; }; }'`; \
 625	test -z "$(CTAGS_ARGS)$$unique" \
 626	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
 627	     $$unique
 628
 629GTAGS:
 630	here=`$(am__cd) $(top_builddir) && pwd` \
 631	  && $(am__cd) $(top_srcdir) \
 632	  && gtags -i $(GTAGS_ARGS) "$$here"
 633
 634distclean-tags:
 635	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
 636
 637check-TESTS: $(TESTS)
 638	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
 639	srcdir=$(srcdir); export srcdir; \
 640	list=' $(TESTS) '; \
 641	$(am__tty_colors); \
 642	if test -n "$$list"; then \
 643	  for tst in $$list; do \
 644	    if test -f ./$$tst; then dir=./; \
 645	    elif test -f $$tst; then dir=; \
 646	    else dir="$(srcdir)/"; fi; \
 647	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
 648	      all=`expr $$all + 1`; \
 649	      case " $(XFAIL_TESTS) " in \
 650	      *[\ \	]$$tst[\ \	]*) \
 651		xpass=`expr $$xpass + 1`; \
 652		failed=`expr $$failed + 1`; \
 653		col=$$red; res=XPASS; \
 654	      ;; \
 655	      *) \
 656		col=$$grn; res=PASS; \
 657	      ;; \
 658	      esac; \
 659	    elif test $$? -ne 77; then \
 660	      all=`expr $$all + 1`; \
 661	      case " $(XFAIL_TESTS) " in \
 662	      *[\ \	]$$tst[\ \	]*) \
 663		xfail=`expr $$xfail + 1`; \
 664		col=$$lgn; res=XFAIL; \
 665	      ;; \
 666	      *) \
 667		failed=`expr $$failed + 1`; \
 668		col=$$red; res=FAIL; \
 669	      ;; \
 670	      esac; \
 671	    else \
 672	      skip=`expr $$skip + 1`; \
 673	      col=$$blu; res=SKIP; \
 674	    fi; \
 675	    echo "$${col}$$res$${std}: $$tst"; \
 676	  done; \
 677	  if test "$$all" -eq 1; then \
 678	    tests="test"; \
 679	    All=""; \
 680	  else \
 681	    tests="tests"; \
 682	    All="All "; \
 683	  fi; \
 684	  if test "$$failed" -eq 0; then \
 685	    if test "$$xfail" -eq 0; then \
 686	      banner="$$All$$all $$tests passed"; \
 687	    else \
 688	      if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
 689	      banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
 690	    fi; \
 691	  else \
 692	    if test "$$xpass" -eq 0; then \
 693	      banner="$$failed of $$all $$tests failed"; \
 694	    else \
 695	      if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
 696	      banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
 697	    fi; \
 698	  fi; \
 699	  dashes="$$banner"; \
 700	  skipped=""; \
 701	  if test "$$skip" -ne 0; then \
 702	    if test "$$skip" -eq 1; then \
 703	      skipped="($$skip test was not run)"; \
 704	    else \
 705	      skipped="($$skip tests were not run)"; \
 706	    fi; \
 707	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
 708	      dashes="$$skipped"; \
 709	  fi; \
 710	  report=""; \
 711	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
 712	    report="Please report to $(PACKAGE_BUGREPORT)"; \
 713	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
 714	      dashes="$$report"; \
 715	  fi; \
 716	  dashes=`echo "$$dashes" | sed s/./=/g`; \
 717	  if test "$$failed" -eq 0; then \
 718	    echo "$$grn$$dashes"; \
 719	  else \
 720	    echo "$$red$$dashes"; \
 721	  fi; \
 722	  echo "$$banner"; \
 723	  test -z "$$skipped" || echo "$$skipped"; \
 724	  test -z "$$report" || echo "$$report"; \
 725	  echo "$$dashes$$std"; \
 726	  test "$$failed" -eq 0; \
 727	else :; fi
 728
 729distdir: $(DISTFILES)
 730	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 731	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 732	list='$(DISTFILES)'; \
 733	  dist_files=`for file in $$list; do echo $$file; done | \
 734	  sed -e "s|^$$srcdirstrip/||;t" \
 735	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
 736	case $$dist_files in \
 737	  */*) $(MKDIR_P) `echo "$$dist_files" | \
 738			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
 739			   sort -u` ;; \
 740	esac; \
 741	for file in $$dist_files; do \
 742	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
 743	  if test -d $$d/$$file; then \
 744	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
 745	    if test -d "$(distdir)/$$file"; then \
 746	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 747	    fi; \
 748	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
 749	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
 750	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 751	    fi; \
 752	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
 753	  else \
 754	    test -f "$(distdir)/$$file" \
 755	    || cp -p $$d/$$file "$(distdir)/$$file" \
 756	    || exit 1; \
 757	  fi; \
 758	done
 759	$(MAKE) $(AM_MAKEFLAGS) \
 760	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
 761	  dist-hook
 762check-am: all-am
 763	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
 764	$(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
 765check: check-am
 766all-am: Makefile $(LTLIBRARIES) $(HEADERS) all-local
 767installdirs:
 768	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)" "$(DESTDIR)$(includedir)"; do \
 769	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
 770	done
 771install: install-am
 772install-exec: install-exec-am
 773install-data: install-data-am
 774uninstall: uninstall-am
 775
 776install-am: all-am
 777	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
 778
 779installcheck: installcheck-am
 780install-strip:
 781	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 782	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 783	  `test -z '$(STRIP)' || \
 784	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
 785mostlyclean-generic:
 786
 787clean-generic:
 788	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
 789
 790distclean-generic:
 791	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
 792	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
 793
 794maintainer-clean-generic:
 795	@echo "This command is intended for maintainers to use"
 796	@echo "it deletes files that may require special tools to rebuild."
 797clean: clean-am
 798
 799clean-am: clean-checkPROGRAMS clean-generic clean-libLTLIBRARIES \
 800	clean-libtool mostlyclean-am
 801
 802distclean: distclean-am
 803	-rm -rf ./$(DEPDIR)
 804	-rm -f Makefile
 805distclean-am: clean-am distclean-compile distclean-generic \
 806	distclean-tags
 807
 808dvi: dvi-am
 809
 810dvi-am:
 811
 812html: html-am
 813
 814html-am:
 815
 816info: info-am
 817
 818info-am:
 819
 820install-data-am: install-dist_includeHEADERS \
 821	install-nodist_includeHEADERS
 822	@$(NORMAL_INSTALL)
 823	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
 824install-dvi: install-dvi-am
 825
 826install-dvi-am:
 827
 828install-exec-am: install-libLTLIBRARIES
 829	@$(NORMAL_INSTALL)
 830	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
 831install-html: install-html-am
 832
 833install-html-am:
 834
 835install-info: install-info-am
 836
 837install-info-am:
 838
 839install-man:
 840
 841install-pdf: install-pdf-am
 842
 843install-pdf-am:
 844
 845install-ps: install-ps-am
 846
 847install-ps-am:
 848
 849installcheck-am:
 850
 851maintainer-clean: maintainer-clean-am
 852	-rm -rf ./$(DEPDIR)
 853	-rm -f Makefile
 854maintainer-clean-am: distclean-am maintainer-clean-generic
 855
 856mostlyclean: mostlyclean-am
 857
 858mostlyclean-am: mostlyclean-compile mostlyclean-generic \
 859	mostlyclean-libtool
 860
 861pdf: pdf-am
 862
 863pdf-am:
 864
 865ps: ps-am
 866
 867ps-am:
 868
 869uninstall-am: uninstall-dist_includeHEADERS uninstall-libLTLIBRARIES \
 870	uninstall-nodist_includeHEADERS
 871	@$(NORMAL_INSTALL)
 872	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
 873.MAKE: check-am install-am install-data-am install-exec-am \
 874	install-strip uninstall-am
 875
 876.PHONY: CTAGS GTAGS all all-am all-local check check-TESTS check-am \
 877	check-local clean clean-checkPROGRAMS clean-generic \
 878	clean-libLTLIBRARIES clean-libtool ctags dist-hook distclean \
 879	distclean-compile distclean-generic distclean-libtool \
 880	distclean-tags distdir dvi dvi-am html html-am info info-am \
 881	install install-am install-data install-data-am \
 882	install-data-hook install-dist_includeHEADERS install-dvi \
 883	install-dvi-am install-exec install-exec-am install-exec-hook \
 884	install-html install-html-am install-info install-info-am \
 885	install-libLTLIBRARIES install-man \
 886	install-nodist_includeHEADERS install-pdf install-pdf-am \
 887	install-ps install-ps-am install-strip installcheck \
 888	installcheck-am installdirs maintainer-clean \
 889	maintainer-clean-generic mostlyclean mostlyclean-compile \
 890	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
 891	tags uninstall uninstall-am uninstall-dist_includeHEADERS \
 892	uninstall-hook uninstall-libLTLIBRARIES \
 893	uninstall-nodist_includeHEADERS
 894
 895
 896install-suid-programs:
 897	@foo='$(bin_SUIDS)'; \
 898	for file in $$foo; do \
 899	x=$(DESTDIR)$(bindir)/$$file; \
 900	if chown 0:0 $$x && chmod u+s $$x; then :; else \
 901	echo "*"; \
 902	echo "* Failed to install $$x setuid root"; \
 903	echo "*"; \
 904	fi; done
 905
 906install-exec-hook: install-suid-programs
 907
 908install-build-headers:: $(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(nobase_include_HEADERS)
 909	@foo='$(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ)'; \
 910	for f in $$foo; do \
 911		f=`basename $$f`; \
 912		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
 913		else file="$$f"; fi; \
 914		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
 915		: ; else \
 916			echo " $(CP) $$file $(buildinclude)/$$f"; \
 917			$(CP) $$file $(buildinclude)/$$f; \
 918		fi ; \
 919	done ; \
 920	foo='$(nobase_include_HEADERS)'; \
 921	for f in $$foo; do \
 922		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
 923		else file="$$f"; fi; \
 924		$(mkdir_p) $(buildinclude)/`dirname $$f` ; \
 925		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
 926		: ; else \
 927			echo " $(CP) $$file $(buildinclude)/$$f"; \
 928			$(CP) $$file $(buildinclude)/$$f; \
 929		fi ; \
 930	done
 931
 932all-local: install-build-headers
 933
 934check-local::
 935	@if test '$(CHECK_LOCAL)' = "no-check-local"; then \
 936	  foo=''; elif test '$(CHECK_LOCAL)'; then \
 937	  foo='$(CHECK_LOCAL)'; else \
 938	  foo='$(PROGRAMS)'; fi; \
 939	  if test "$$foo"; then \
 940	  failed=0; all=0; \
 941	  for i in $$foo; do \
 942	    all=`expr $$all + 1`; \
 943	    if (./$$i --version && ./$$i --help) > /dev/null 2>&1; then \
 944	      echo "PASS: $$i"; \
 945	    else \
 946	      echo "FAIL: $$i"; \
 947	      failed=`expr $$failed + 1`; \
 948	    fi; \
 949	  done; \
 950	  if test "$$failed" -eq 0; then \
 951	    banner="All $$all tests passed"; \
 952	  else \
 953	    banner="$$failed of $$all tests failed"; \
 954	  fi; \
 955	  dashes=`echo "$$banner" | sed s/./=/g`; \
 956	  echo "$$dashes"; \
 957	  echo "$$banner"; \
 958	  echo "$$dashes"; \
 959	  test "$$failed" -eq 0 || exit 1; \
 960	fi
 961
 962.x.c:
 963	@cmp -s $< $@ 2> /dev/null || cp $< $@
 964
 965.hx.h:
 966	@cmp -s $< $@ 2> /dev/null || cp $< $@
 967#NROFF_MAN = nroff -man
 968.1.cat1:
 969	$(NROFF_MAN) $< > $@
 970.3.cat3:
 971	$(NROFF_MAN) $< > $@
 972.5.cat5:
 973	$(NROFF_MAN) $< > $@
 974.8.cat8:
 975	$(NROFF_MAN) $< > $@
 976
 977dist-cat1-mans:
 978	@foo='$(man1_MANS)'; \
 979	bar='$(man_MANS)'; \
 980	for i in $$bar; do \
 981	case $$i in \
 982	*.1) foo="$$foo $$i";; \
 983	esac; done ;\
 984	for i in $$foo; do \
 985		x=`echo $$i | sed 's/\.[^.]*$$/.cat1/'`; \
 986		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
 987		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
 988	done
 989
 990dist-cat3-mans:
 991	@foo='$(man3_MANS)'; \
 992	bar='$(man_MANS)'; \
 993	for i in $$bar; do \
 994	case $$i in \
 995	*.3) foo="$$foo $$i";; \
 996	esac; done ;\
 997	for i in $$foo; do \
 998		x=`echo $$i | sed 's/\.[^.]*$$/.cat3/'`; \
 999		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1000		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1001	done
1002
1003dist-cat5-mans:
1004	@foo='$(man5_MANS)'; \
1005	bar='$(man_MANS)'; \
1006	for i in $$bar; do \
1007	case $$i in \
1008	*.5) foo="$$foo $$i";; \
1009	esac; done ;\
1010	for i in $$foo; do \
1011		x=`echo $$i | sed 's/\.[^.]*$$/.cat5/'`; \
1012		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1013		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1014	done
1015
1016dist-cat8-mans:
1017	@foo='$(man8_MANS)'; \
1018	bar='$(man_MANS)'; \
1019	for i in $$bar; do \
1020	case $$i in \
1021	*.8) foo="$$foo $$i";; \
1022	esac; done ;\
1023	for i in $$foo; do \
1024		x=`echo $$i | sed 's/\.[^.]*$$/.cat8/'`; \
1025		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1026		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1027	done
1028
1029dist-hook: dist-cat1-mans dist-cat3-mans dist-cat5-mans dist-cat8-mans
1030
1031install-cat-mans:
1032	$(SHELL) $(top_srcdir)/cf/install-catman.sh install "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1033
1034uninstall-cat-mans:
1035	$(SHELL) $(top_srcdir)/cf/install-catman.sh uninstall "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1036
1037install-data-hook: install-cat-mans
1038uninstall-hook: uninstall-cat-mans
1039
1040.et.h:
1041	$(COMPILE_ET) $<
1042.et.c:
1043	$(COMPILE_ET) $<
1044
1045#
1046# Useful target for debugging
1047#
1048
1049check-valgrind:
1050	tobjdir=`cd $(top_builddir) && pwd` ; \
1051	tsrcdir=`cd $(top_srcdir) && pwd` ; \
1052	env TESTS_ENVIRONMENT="$${tsrcdir}/cf/maybe-valgrind.sh -s $${tsrcdir} -o $${tobjdir}" make check
1053
1054#
1055# Target to please samba build farm, builds distfiles in-tree.
1056# Will break when automake changes...
1057#
1058
1059distdir-in-tree: $(DISTFILES) $(INFO_DEPS)
1060	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1061	  if test "$$subdir" != .; then \
1062	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) distdir-in-tree) ; \
1063	  fi ; \
1064	done
1065$(libheimntlm_la_OBJECTS): $(srcdir)/version-script.map
1066
1067$(srcdir)/heimntlm-protos.h:
1068	cd $(srcdir) && perl ../../cf/make-proto.pl -q -P comment -o heimntlm-protos.h $(dist_libheimntlm_la_SOURCES) || rm -f heimntlm-protos.h
1069
1070$(libheimntlm_la_OBJECTS): $(srcdir)/heimntlm-protos.h ntlm_err.h
1071
1072ntlm_err.h: ntlm_err.et
1073
1074# Tell versions [3.59,3.63) of GNU make to not export all variables.
1075# Otherwise a system limit (for SysV at least) may be exceeded.
1076.NOEXPORT: